<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" type="topic" id="compatibility" xml:lang="ru">

  <info>
    <credit type="author">
      <name>Алан Дэй (Allan Day)</name>
      <email>aday@gnome.org</email>
    </credit>
    <include xmlns="http://www.w3.org/2001/XInclude" href="legal.xml"/>
    <desc>Кросс-платформенные приложения и приложения в стиле GNOME 2.</desc>
  </info>

<title>Совместимость</title>

<p>These Human Interface Guidelines are primarily targeted towards new GTK and GNOME applications, with an emphasis on GNOME 3 integration. However, they are also intended to be useful to cross-platform applications, as well as older applications, which may have been designed and implemented in accordance with the GNOME 2 HIG.</p>

<section id="cross-platform-compatibility">
<title>Совместимость между платформами</title>

<p>Generally speaking, the design patterns found in the HIG can be used on any desktop platform. Most of the conventions, like menus and menu buttons, views and view switchers, and popovers, are common and will be generally understood.</p>

<p>The primary example of a design pattern that varies across desktop platforms is the  <link xref="menu-bars">menu bar</link>, which takes different forms on different platforms. See the design page on this for more guidance on cross-platform considerations.</p>

</section>

<section id="gnome-2-compatibility">
<title>GNOME 2 compatibility</title>

<p>These Human Interface Guidelines are an evolution of the GNOME 2 HIG. Applications that follow the new version of the HIG will use space more efficiently, will provide a more focused user experience, and will use modern interpretations of key functionality, such as search, online integration, or notifications.</p>

<p>Following some of the design patterns in these guidelines may imply larger-scale design changes for GNOME 2 style applications, particularly if those applications are complex. In particular, replacing window title bars and <link xref="menu-bars">menu bars</link> with a <link xref="header-bars">header bar</link> could be a big change for your application.</p>

<p>However, much of the advice contained within this HIG can be incorporated into GNOME 2 style applications with minimal disruption, and will lead to an improved experience for users. This includes:</p>

<list>
<item><p>Utilizing new user interface elements, such as popovers.</p></item>
<item><p>Guidance on new GTK abilities, like animations.</p></item>
<item><p>Modernized guidance on subjects such as visual layout, typography and icon usage.</p></item>
</list>

<p>Incorporating these elements of the guidelines can enhance your application without requiring a major redesign, and all GTK and GNOME applications can benefit from them.</p>

<p>Эти руководства создавались с целью помочь разработчикам выбрать наилучший дизайн для приложения, а не описать один общий шаблон для всех приложения. Поэтому, хотя в руководстве и рекомендуется применять <link xref="header-bars">панели заголовков</link> вместо <link xref="menu-bars">панелей меню</link>, в нём даются инструкции по использованию как первого, так и второго шаблона.</p>

</section>

</page>
